Bug 1203552 - ht 2.1.0 is available
Summary: ht 2.1.0 is available
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: ht
Version: 30
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: ---
Assignee: Andreas Bierfert
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-03-19 05:46 UTC by Ting-Wei Lan
Modified: 2019-09-18 02:56 UTC (History)
2 users (show)

Fixed In Version: ht-2.1.0-1.fc30 ht-2.1.0-1.fc29
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-08-05 00:59:03 UTC
Type: Bug


Attachments (Terms of Use)

Description Ting-Wei Lan 2015-03-19 05:46:22 UTC
Description of problem:
ht 2.1.0 was released two months ago. Can we gen an update?

Version-Release number of selected component (if applicable):
ht-2.0.22-2 -> ht-2.1.0-1

Comment 1 Ting-Wei Lan 2015-06-28 19:17:10 UTC
Can it be updated? It should be easy to update. It builds without problem on Fedora 21, 22 and rawhide.

--- a/ht.spec
+++ b/ht.spec
@@ -1,6 +1,6 @@
 Name:           ht
-Version:        2.0.22
-Release:        3%{?dist}
+Version:        2.1.0
+Release:        1%{?dist}
 Summary:        File editor/viewer/analyzer for executables
 
 Group:          Applications/Editors

Comment 2 Ting-Wei Lan 2015-07-06 15:45:56 UTC
ht 2.1.0 was released more than five months ago. I really hope it can be updated.

Comment 3 Ting-Wei Lan 2015-11-21 10:30:15 UTC
Fedora 23 still doesn't have ht 2.1.0.

Comment 4 Ting-Wei Lan 2015-11-21 11:57:55 UTC
I created a copr project for ht 2.1.0.

https://copr.fedoraproject.org/coprs/lantw44/ht-latest/

Comment 5 Ting-Wei Lan 2016-07-16 16:09:37 UTC
Ping again! ht 2.1.0 was released 18 months ago, but an update is still not available in official Fedora repositories.

Comment 6 Fedora End Of Life 2017-11-16 19:08:58 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 7 Ting-Wei Lan 2017-11-16 19:13:32 UTC
I really don't know why this bug can take several years to fix ...

Comment 8 Ting-Wei Lan 2018-01-27 09:35:08 UTC
PING AGAIN.

Is there any blocker? This package has been kept out of date FOR 3 YEARS!

Comment 9 Ben Cotton 2018-11-27 17:20:55 UTC
This message is a reminder that Fedora 27 is nearing its end of life.
On 2018-Nov-30  Fedora will stop maintaining and issuing updates for
Fedora 27. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora  'version' of '27'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 27 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 10 Nicolas Chauvet (kwizart) 2019-06-11 07:25:35 UTC
Hello,

It seems like this maintainer is unresponsive:
https://fedoraproject.org/wiki/Policy_for_nonresponsive_package_maintainers

It should be possible for you to maintain this package directly in Fedora by following the contributor process:
https://fedoraproject.org/wiki/Join_the_package_collection_maintainers

Looking forward to you.

Comment 11 Fedora Update System 2019-07-11 16:03:54 UTC
FEDORA-2019-d6bb106df8 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-d6bb106df8

Comment 12 Fedora Update System 2019-07-11 16:03:54 UTC
FEDORA-2019-4eaf12d9c4 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-4eaf12d9c4

Comment 13 Nicolas Chauvet (kwizart) 2019-07-11 16:06:41 UTC
@Ting-Wei Lan,

I've updated the package, but please consider to join the packager team to maintain this package yourself.

Comment 14 Fedora Update System 2019-07-12 02:16:02 UTC
ht-2.1.0-1.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-4eaf12d9c4

Comment 15 Fedora Update System 2019-07-12 06:09:40 UTC
ht-2.1.0-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-d6bb106df8

Comment 16 Ting-Wei Lan 2019-07-15 05:43:46 UTC
(In reply to Nicolas Chauvet (kwizart) from comment #13)
> @Ting-Wei Lan,
> 
> I've updated the package, but please consider to join the packager team to
> maintain this package yourself.

Thanks, I will consider doing so.

Comment 17 Fedora Update System 2019-08-05 00:59:03 UTC
ht-2.1.0-1.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 18 Fedora Update System 2019-09-18 02:56:54 UTC
ht-2.1.0-1.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.